angular.module("roll_the_dice.controllers")

.controller("settingsCtrl", function($scope,$rootScope,$state,$ionicScrollDelegate,$http,$httpParamSerializer,$stateParams,$timeout,$ionicLoading,$ionicPopup,$ionicPopover,$ionicSlideBoxDelegate,$ionicHistory,ionicMaterialInk,ionicMaterialMotion,$window,$translate){

	//$translate.use('de');
	
	$rootScope.page_id = "settings" ;
	$scope.scrollTop = function(){
		$ionicScrollDelegate.$getByHandle("top").scrollTop();
	};
	// open external browser
	$scope.openURL = function($url){
		window.open($url,"_system","location=yes");
	};
	// open AppBrowser
	$scope.openAppBrowser = function($url){
		window.open($url,"_blank","closebuttoncaption=Done");
	};
	// open WebView
	$scope.openWebView = function($url){
		window.open($url,"_self");
	};

	// Set Motion
	$timeout(function(){
		ionicMaterialMotion.slideUp({
			selector: ".slide-up"
		});
	}, 300);


	// animation ink (ionic-material)
	ionicMaterialInk.displayEffect();
	$scope.rating = {};
	$scope.rating.max = 5;


	/*
  * init settings
  */
  $scope.settings = {
      diceEyes: '',
      diceCount: '',
      showSum: true,
	  sound: {},
	  shake: false,
  };

  //  dice eyes
  	$scope.diceEyes = 6;
  	$scope.settings.diceEyes = 6;

  //  dice count
    $scope.diceCount = 2;
    $scope.settings.diceCount = 2;

  //  sum
  if (localStorage.getItem("showsum") === null) {
    $scope.settings.showSum = true;
    localStorage.setItem("showsum", true);
  } else{
    $scope.settings.showSum = JSON.parse(localStorage.getItem("showsum"));
  }

  //  sounds - effects
  if (localStorage.getItem("soundeffects") === null) {
    $scope.settings.sound.effects = true;
    localStorage.setItem("soundeffects", true);
  } else{
    $scope.settings.sound.effects = JSON.parse(localStorage.getItem("soundeffects"));
  }
  
  //  sounds - read
  if (localStorage.getItem("soundread") === null) {
    $scope.settings.sound.read = false;
    localStorage.setItem("soundread", false);
  } else{
    $scope.settings.sound.read = JSON.parse(localStorage.getItem("soundread"));
  }
  
  //  shake
  if (localStorage.getItem("shake") === null) {
    $scope.settings.shake = false;
    localStorage.setItem("shake", false);
  } else{
    $scope.settings.shake = JSON.parse(localStorage.getItem("shake"));
  }

  $scope.saveClass = '';



    $scope.saveSettings = function() {


        //console.log('scope-eyes: ' + $scope.settings.showSum);

        if (typeof(Storage) !== "undefined") {
            // Store
            //localStorage.setItem("diceeyes", $scope.settings.diceEyes);
            //$scope.diceEyes = $scope.settings.diceEyes;

            //localStorage.setItem("dicecount", $scope.settings.diceCount);
            //$scope.diceCount = $scope.settings.diceCount;

            localStorage.setItem("showsum", JSON.parse($scope.settings.showSum));

            localStorage.setItem("soundeffects", JSON.parse($scope.settings.sound.effects));
			
			localStorage.setItem("soundread", JSON.parse($scope.settings.sound.read));
			
			localStorage.setItem("shake", JSON.parse($scope.settings.shake));

            $scope.saveClass = 'ion-checkmark-round';

            //$window.location.reload(true);
            //$route.reload();

        } else {
            alert('Not able to save your settings.');
        }
    };
})
